import matplotlib.pyplot as plt
numargs = semicircular.numargs
[  ] = [0.9,] * numargs
rv = semicircular()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = semicircular.cdf(x, )
h = plt.semilogy(np.abs(x - semicircular.ppf(prb, )) + 1e-20)

# Random number generation

R = semicircular.rvs(size=100)
